#ifndef RANDOMNETWORK__H
#define RANDOMNETWORK__H

#include "NeuralNetwork.hpp"

class RandomNetworkImpl : public NeuralNetworkImpl
{
  private :

  std::map<std::string,std::size_t> nbOutputsPerState;

  public :

  RandomNetworkImpl(std::map<std::string,std::size_t> nbOutputsPerState);
  torch::Tensor forward(torch::Tensor input) override;
  std::vector<std::vector<long>> extractContext(Config &, Dict &) const override;
};

#endif
