#include "NeuralNetwork.hpp"

torch::Device NeuralNetworkImpl::device(torch::cuda::is_available() ? torch::kCUDA : torch::kCPU);

bool NeuralNetworkImpl::mustSplitUnknown() const
{
  return splitUnknown;
}

void NeuralNetworkImpl::setSplitUnknown(bool splitUnknown)
{
  this->splitUnknown = splitUnknown;
}

void NeuralNetworkImpl::setState(const std::string & state)
{
  this->state = state;
}

const std::string & NeuralNetworkImpl::getState() const
{
  return state;
}

